<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CDR.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">Entities</a> &gt; <span class="el_source">CDR.java</span></div><h1>CDR.java</h1><pre class="source lang-java linenums">package Entities;
import java.io.Serializable;
import java.util.logging.Level;
import java.util.logging.Logger; 

public class CDR implements Serializable{
	private static final long serialVersionUID = -2555170365942325277L;
	private int originNumber, destinationNumber;
	private double callCost; 
	private String durationCall, date, hour, dateTarification,hourTarification;
<span class="fc" id="L11">	private transient Logger logger = Logger.getLogger(CDR.class.getName());</span>
<span class="fc" id="L12">	public CDR(int originNumber,int destinationNumber, String durationCall, String date, String hour) {</span>
<span class="fc" id="L13">		this.originNumber = originNumber;</span>
<span class="fc" id="L14">		this.destinationNumber = destinationNumber;</span>
<span class="fc" id="L15">		this.durationCall = durationCall;</span>
<span class="fc" id="L16">		this.date = date;</span>
<span class="fc" id="L17">		this.hour = hour;</span>
<span class="fc" id="L18">		this.hourTarification=&quot;NO TARFICADO&quot;;</span>
<span class="fc" id="L19">		this.dateTarification=&quot;NO TARFICADO&quot;;</span>
<span class="fc" id="L20">	}</span>
	
	public void SetdateTarification(String dateTarification) {
<span class="fc" id="L23">		this.dateTarification = dateTarification;</span>
<span class="fc" id="L24">	}</span>
	
	public void SethourTarification(String hourTarification) {
<span class="fc" id="L27">		this.hourTarification = hourTarification;</span>
<span class="fc" id="L28">	}</span>
	
	public String getdateTarification() {
<span class="fc" id="L31">		return dateTarification;</span>
	}
	
	public String gethourTarification() {
<span class="fc" id="L35">		return hourTarification;</span>
	}
	
	public int getOriginNumber() {
<span class="fc" id="L39">		return originNumber;</span>
	}
	
	public int getDestinationNumber() {
<span class="fc" id="L43">		return destinationNumber;</span>
	}
	
	public double getCallCost() {
<span class="fc" id="L47">		return callCost;</span>
	}
	
	public String getDurationCall() {
<span class="fc" id="L51">		return durationCall;</span>
	}
	
	public String getDate() {
<span class="fc" id="L55">		return date;</span>
	}
	
	public String getHour() {
<span class="fc" id="L59">		return hour;</span>
	}
	

	public void setCallCost(double callCost) {
<span class="fc" id="L64">		this.callCost = callCost;</span>
<span class="fc" id="L65">	}</span>
	
	public double calculteCallCost(Phone_Number phone) {
<span class="fc" id="L68">		return phone.calculateCost(hour, durationCall, destinationNumber);</span>
	}
	
	public void showInformation() {
<span class="fc" id="L72">		logger.log(Level.INFO,&quot;Origin Number: {0}&quot;, originNumber);</span>
<span class="fc" id="L73">		logger.log(Level.INFO,&quot;Destination Number: {0}&quot;, destinationNumber);</span>
<span class="fc" id="L74">		logger.log(Level.INFO,&quot;Duration call: {0}&quot;, durationCall);</span>
<span class="fc" id="L75">		logger.log(Level.INFO,&quot;Date: {0}&quot;, date);</span>
<span class="fc" id="L76">		logger.log(Level.INFO,&quot;Cost: {0}&quot;, callCost);</span>
<span class="fc" id="L77">	}</span>
}
	
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>